Index: /branches/2520_PersistenceReintegration/HeuristicLab.Algorithms.MOCMAEvolutionStrategy/3.3/IIndicator.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Algorithms.MOCMAEvolutionStrategy/3.3/IIndicator.cs	(revision 16471)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Algorithms.MOCMAEvolutionStrategy/3.3/IIndicator.cs	(revision 16472)
@@ -23,6 +23,8 @@
 using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Optimization;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Algorithms.MOCMAEvolutionStrategy {
+  [StorableType("5f3f2453-dbf0-46d8-be15-8b6bb9f88592")]
   public interface IIndicator : IItem {
     /// <summary>
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Algorithms.ParameterlessPopulationPyramid/3.3/EnumerableBoolEqualityComparer.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Algorithms.ParameterlessPopulationPyramid/3.3/EnumerableBoolEqualityComparer.cs	(revision 16471)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Algorithms.ParameterlessPopulationPyramid/3.3/EnumerableBoolEqualityComparer.cs	(revision 16472)
@@ -22,6 +22,8 @@
 using System.Collections.Generic;
 using System.Linq;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Algorithms.ParameterlessPopulationPyramid {
+  [StorableType("231ae77d-4352-4a70-8662-5f3d5d44f095")]
   public class EnumerableBoolEqualityComparer : IEqualityComparer<IEnumerable<bool>> {
     public bool Equals(IEnumerable<bool> first, IEnumerable<bool> second) {
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Analysis/3.3/Statistics/Fitting/LinearLeastSquaresFitting.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Analysis/3.3/Statistics/Fitting/LinearLeastSquaresFitting.cs	(revision 16471)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Analysis/3.3/Statistics/Fitting/LinearLeastSquaresFitting.cs	(revision 16472)
@@ -32,5 +32,5 @@
     public void Calculate(double[] y, double[] x, out double slope, out double intercept) {
       if (y.Count() != x.Count()) {
-        throw new ArgumentException("The lenght of x and y needs do be equal. ");
+        throw new ArgumentException("The length of x and y needs do be equal. ");
       }
 
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Analysis/3.3/Statistics/Fitting/LogFitting.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Analysis/3.3/Statistics/Fitting/LogFitting.cs	(revision 16471)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Analysis/3.3/Statistics/Fitting/LogFitting.cs	(revision 16472)
@@ -41,5 +41,5 @@
     public void Calculate(double[] y, double[] x, out double p0, out double p1) {
       if (y.Count() != x.Count()) {
-        throw new ArgumentException("The lenght of x and y needs do be equal. ");
+        throw new ArgumentException("The length of x and y needs do be equal. ");
       }
 
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Collections/3.3/IObservableArray.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Collections/3.3/IObservableArray.cs	(revision 16471)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Collections/3.3/IObservableArray.cs	(revision 16472)
@@ -22,6 +22,8 @@
 using System.Collections.Generic;
 using System.ComponentModel;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Collections {
+  [StorableType("ebdc610c-2f22-42c7-a72e-8a4ec682712f")]
   public interface IObservableArray<T> : IList<T>, INotifyObservableArrayItemsChanged<T>, INotifyPropertyChanged {
     int Length { get; }
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Collections/3.3/IObservableCollection.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Collections/3.3/IObservableCollection.cs	(revision 16471)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Collections/3.3/IObservableCollection.cs	(revision 16472)
@@ -22,6 +22,8 @@
 using System.Collections.Generic;
 using System.ComponentModel;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Collections {
+  [StorableType("289d81e9-a167-416c-aaa8-c40aa1ea96f9")]
   public interface IObservableCollection<T> : ICollection<T>, INotifyObservableCollectionItemsChanged<T>, INotifyPropertyChanged { }
 }
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Collections/3.3/IObservableDictionary.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Collections/3.3/IObservableDictionary.cs	(revision 16471)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Collections/3.3/IObservableDictionary.cs	(revision 16472)
@@ -21,6 +21,8 @@
 
 using System.Collections.Generic;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Collections {
+  [StorableType("70d9ec0d-7a88-424a-9f59-6cc659f57369")]
   public interface IObservableDictionary<TKey, TValue> : IDictionary<TKey, TValue>, IObservableCollection<KeyValuePair<TKey, TValue>>, INotifyObservableDictionaryItemsChanged<TKey, TValue> { }
 }
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Collections/3.3/IObservableList.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Collections/3.3/IObservableList.cs	(revision 16471)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Collections/3.3/IObservableList.cs	(revision 16472)
@@ -21,6 +21,8 @@
 
 using System.Collections.Generic;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Collections {
+  [StorableType("00be7255-b5c6-4b5d-82d3-6ed258d6a0c9")]
   public interface IObservableList<T> : IList<T>, IObservableCollection<T>, INotifyObservableListItemsChanged<T> {
     void Reverse();
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Collections/3.3/IObservableSet.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Collections/3.3/IObservableSet.cs	(revision 16471)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Collections/3.3/IObservableSet.cs	(revision 16472)
@@ -21,6 +21,8 @@
 
 using System.Collections.Generic;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Collections {
+  [StorableType("2c42f57a-3bdb-45b9-a548-d4cb9cc71250")]
   public interface IObservableSet<T> : IObservableCollection<T> {
     bool IsProperSubsetOf(IEnumerable<T> other);
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Common/3.3/IDeepCloneable.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Common/3.3/IDeepCloneable.cs	(revision 16471)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Common/3.3/IDeepCloneable.cs	(revision 16472)
@@ -21,6 +21,8 @@
 
 using System;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Common {
+  [StorableType("54fef53f-3ccc-4493-8973-a8bbdad32ba2")]
   public interface IDeepCloneable : ICloneable {
     /// <summary>
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Common/3.3/TypeEqualityComparer.cs
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Common/3.3/TypeEqualityComparer.cs	(revision 16471)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Common/3.3/TypeEqualityComparer.cs	(revision 16472)
@@ -21,6 +21,8 @@
 
 using System.Collections.Generic;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Common {
+  [StorableType("b5330cc7-9b2c-4b84-9147-1dcc6c316403")]
   public class TypeEqualityComparer<T> : IEqualityComparer<T> {
 
Index: /branches/2520_PersistenceReintegration/HeuristicLab.Common/3.3/packages.config
===================================================================
--- /branches/2520_PersistenceReintegration/HeuristicLab.Common/3.3/packages.config	(revision 16472)
+++ /branches/2520_PersistenceReintegration/HeuristicLab.Common/3.3/packages.config	(revision 16472)
@@ -0,0 +1,5 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<packages>
+  <package id="Google.Protobuf" version="3.6.1" targetFramework="net461" />
+  <package id="HEAL.Fossil" version="1.0.0" targetFramework="net461" />
+</packages>